Bug 488247 - Sat Proxy command line installer can be executed on a client w/o provisioning entitlement
Sat Proxy command line installer can be executed on a client w/o provisioning...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
RHN Devel
All Linux
high Severity high
: ---
: ---
Assigned To: Stephen Herr
Red Hat Network Quality Assurance
na
: Reopened
Depends On:
Blocks: 646890
  Show dependency treegraph
 
Reported: 2009-03-03 09:35 EST by Miroslav Suchý
Modified: 2011-01-14 08:43 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 468052
Environment:
Last Closed: 2011-01-14 08:43:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2009-03-03 09:35:17 EST
+++ This bug was initially created as a clone of Bug #468052 +++

Description of problem:

The configure-proxy.sh can be executed on a machine w/o a provisioning entitlement.  The script appears to complete successfully w/o provisioning.  The webui will NOT list any of the needed proxy links w/o provisioning enabled.

So for 5.3 the command line proxy installer should check that the server is provisioning entitled before it proceeds to install. This would be consistent w/ the webui proxy installer.

--- Additional comment from bperkins@redhat.com on 2008-10-29 13:00:38 EDT ---

Seems this was an oversight in original implementation.  This and config managment pieces are all missing (another bug).

--- Additional comment from msuchy@redhat.com on 2009-01-28 09:26:06 EDT ---

Commited as 8836f8d936ee5b320c877112213e4c9c440ed41e

--- Additional comment from msuchy@redhat.com on 2009-02-04 08:51:06 EDT ---

Mass moving ON_QA
Comment 4 Stephen Herr 2010-10-29 15:38:37 EDT
Now that I know how this is actually pretty easy to test.

1) start with an activated and installed proxy server
2) subscribe proxy to the rhn-tools channel
3) yum install spacewalk-proxy-installer
4) deactivate using /usr/bin/rhn-proxy-activate, for example:
"/usr/bin/rhn-proxy-activate --ca-cert /usr/share/rhn/RHNS-CA-CERT --no-ssl --server xmlrpc.rhn.webdev.redhat.com --deactivate"
5) take away provisioning entitlement from server
6) activate using /usr/bin/rhn-proxy-activate: take off the "--deactivate" from the command above

Step 6 should throw a "Proxy needs provisioning entitlements" error. In any environment that does not have this fix yet the proxy will successfully activate.
Comment 5 venkat 2010-11-09 14:27:26 EST
Verified in webdev.

this is the error we are getting now:

There was a problem activating the RHN Proxy entitlement:
ERROR: upon entitlement/activation attempt: unknown error - <Fault 1047: 'Proxy need provisioning entitlements.'>

Note You need to log in before you can comment on or make changes to this bug.